<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Approval Asset Procurement</title>
</head>
<body>
<div class="main-content" layout:fragment="main">

    <section class="section">
        <div class="section-header">
            <h1>Pengadaan Aset</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <a th:href="@{/approval/assetProcurement/listPayment(status = 'PENGAJUAN_DANA')}" th:if="${status == 'PENGAJUAN_DANA'}" class="btn btn-primary btn-block">WAITING</a>
                                    <a th:href="@{/approval/assetProcurement/listPayment(status = 'PENGAJUAN_DANA')}" th:if="${status != 'PENGAJUAN_DANA'}" class="btn btn-secondary btn-block">WAITING</a>
                                </div>
                                <div class="col-md-6">
                                    <a th:href="@{/approval/assetProcurement/listPayment(status = 'BELUM_DIBAYAR')}" th:if="${status == 'BELUM_DIBAYAR'}" class="btn btn-primary btn-block">APPROVED</a>
                                    <a th:href="@{/approval/assetProcurement/listPayment(status = 'BELUM_DIBAYAR')}" th:if="${status != 'BELUM_DIBAYAR'}" class="btn btn-secondary btn-block">APPROVED</a>
                                </div>
                            </div>
                            <br>

                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th> # </th>
                                        <th> Nama Barang </th>
                                        <th> Jumlah </th>
                                        <th> Satuan</th>
                                        <th> Spesifikasi </th>
                                        <th> Harga Pokok </th>
                                        <th> Total Harga </th>
                                        <th> <center>Proses Pengaadaan</center> </th>
                                        <th> Status </th>
                                        <th> Status Pembayaran</th>
                                        <th> Proses </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${listPayment}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.namaAset}"></td>
                                        <td th:text="${data.jumlah}"></td>
                                        <td th:text="${data.satuan}"></td>
                                        <td>
                                            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModalGo' + data.id}">
                                                Lihat Detail
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'exampleModalGo' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/request/assetProcurement/cancel(asetPengadaan = ${data.id})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="form-group">
                                                                    <label>Spek Aset</label>
                                                                    <p><b th:text="${data.spekAset}"></b></p>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Kegunaan</label>
                                                                    <p><b th:text="${data.kegunaan}"></b></p>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                        <td th:text="${'Rp. ' + #numbers.formatDecimal(data.hargaAset, 0, 'POINT', 2, 'COMMA')}"></td>
                                        <td th:text="${'Rp. ' + #numbers.formatDecimal(data.totalHarga, 0, 'POINT', 2, 'COMMA')}"></td>
                                        <td th:if="${data.prosesPengadaan == 'LELANG'}"><button class="btn btn-outline-primary btn-sm">LELANG</button>
                                            <a href="" class="btn btn-sm btn-primary"><i class="fa fa-plus-circle"></i> Vendor</a></td>
                                        <td th:if="${data.prosesPengadaan == 'LANGSUNG'}">
                                            <button class="btn btn-outline-success btn-sm">LANGSUNG</button></td>
                                        <!--                                <td th:if="${data.prosesPengadaan == 'LELANG'}"><button class="btn btn-outline-primary btn-sm">LELANG</button>-->
                                        <!--                                    <a href="" class="btn btn-sm btn-primary"><i class="fa fa-plus-circle"></i> Vendor</a></td>-->
                                        <!--                                <td th:if="${data.prosesPengadaan == 'LANGSUNG'}">-->
                                        <!--                                    <button class="btn btn-outline-success btn-sm">LANGSUNG</button>-->
                                        <!--                                    <button th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}" class="btn btn-success btn-sm">Lihat Bukti Pembayaran</button>-->
                                        <!--                                    <a th:href="@{/approval/assetProcurement/assetRecording(id = ${data.id})}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.statusProses == 'BELUM_TERSIMPAN_DIDATA_ASET'}" class="btn btn-info btn-sm">Lanjutkan Pencatatan Asset</a>-->
                                        <!--                                    <a th:href="@{/approval/assetProcurement/assetRecording(id = ${data.id})}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.statusProses == 'SUDAH_TERSIMPAN_DIDATA_ASET'}" class="btn btn-success btn-sm">Sudah Melakukan Pencatatan Asset</a>-->
                                        <!--                                    <a th:href="@{/approval/assetProcurement/assetRecording(id = ${data.id})}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.statusProses == 'SUDAH_TERSIMPAN_DIDATA_ASET'}" class="btn btn-info btn-sm">Lanjutkan Pendistribuan ke Unit Kerja</a>-->
                                        <!--                                    <button th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}" type="button" class="btn btn-warning btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">-->
                                        <!--                                        Pembayaran-->
                                        <!--                                    </button>-->

                                        <!--                                    <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
                                        <!--                                        <div class="modal-dialog" role="document">-->
                                        <!--                                            <form th:action="@{/approval/assetProcurement/payment(asetPengadaan = ${data.id})}" method="post" enctype="multipart/form-data">-->
                                        <!--                                                <div class="modal-content">-->
                                        <!--                                                    <div class="modal-header">-->
                                        <!--                                                        <h5 class="modal-title" id="exampleModalLabel">Info</h5>-->
                                        <!--                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
                                        <!--                                                            <span aria-hidden="true">&times;</span>-->
                                        <!--                                                        </button>-->
                                        <!--                                                    </div>-->
                                        <!--                                                    <div class="modal-body">-->
                                        <!--                                                        <div class="form-group">-->
                                        <!--                                                            <label>Nama Asset</label>-->
                                        <!--                                                            <p th:text="${data.namaAset}"></p>-->
                                        <!--                                                        </div>-->
                                        <!--                                                        <div class="form-group">-->
                                        <!--                                                            <label>Bukti Pembayaran</label>-->
                                        <!--                                                            <input type="file" name="file" class="form-control">-->
                                        <!--                                                        </div>-->
                                        <!--                                                    </div>-->
                                        <!--                                                    <div class="modal-footer">-->
                                        <!--                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>-->
                                        <!--                                                        <button type="submit" class="btn btn-primary">Save</button>-->
                                        <!--                                                    </div>-->
                                        <!--                                                </div>-->
                                        <!--                                            </form>-->
                                        <!--                                        </div>-->
                                        <!--                                    </div>-->
                                        <!--                                </td>-->
                                        <td th:if="${data.statusApproved == 'APPROVED'}"><button class="btn btn-outline-success btn-sm">APPROVED</button></td>
                                        <td>
                                            <button class="btn btn-outline-warning btn-sm" th:if="${data.statusPembayaran == 'PENGAJUAN_DANA'}">WAITING</button>
                                            <button class="btn btn-outline-success btn-sm" th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}">APPROVED</button>
                                            <button class="btn btn-success btn-sm" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}">SUDAH DIBAYAR</button>
                                        </td>
                                        <td>
                                            <button th:if="${data.statusPembayaran == 'PENGAJUAN_DANA'}" data-backdrop="false" type="button" class="btn btn-info btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                                                APPROVED
                                            </button>

                                            <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/approval/assetProcurement/approvedPayment(asetPengadaan = ${data.id})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                Do you want to Approved Data ?
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                                <button type="submit" class="btn btn-primary">Yes</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>

                                            <button class="btn btn-danger btn-sm" th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}">BELUM DIBAYAR</button>
                                            <button class="btn btn-success btn-sm" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}">SUDAH DIBAYAR</button>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                <nav>
                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </section>
</div>
</body>
</html>